# Retrieve all campaigns

Use the **searchCrossSellCampaigns** method to extract information about the cross-sell campaigns you configured.

## Request parameters

<table><thead><tr><th width="200.1334228515625">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>CampaignName</code></td><td><strong>Optional (string)</strong><br>The name of the campaign.</td></tr><tr><td><code>Status</code></td><td><strong>Optional (string)</strong><br>The status of the campaign; can be ACTIVE/INACTIVE.</td></tr><tr><td><code>Products</code></td><td><strong>Optional (array of strings)</strong><br>Array of product codes to apply to this campaign.</td></tr><tr><td><code>RecommendedProducts</code></td><td><strong>Optional (array of strings)</strong><br>Array of product codes recommended to the shopper.</td></tr><tr><td><code>StartDate</code></td><td><strong>Optional (string)</strong><br>The date when the cross-sell campaign starts, formatted as YYYY-MM-DD</td></tr><tr><td><code>EndDate</code></td><td><strong>Optional (string)</strong><br>The date when the cross-sell campaign ends, formatted as YYYY-MM-DD</td></tr><tr><td><code>Type</code></td><td><strong>Optional (string)</strong><br>Can be MERCH/AFF.</td></tr><tr><td><code>Pagination</code></td><td><strong>Optional (object)</strong></td></tr><tr><td><code>Pagination.Page</code></td><td><strong>Optional (int)</strong><br>The page number of the results.</td></tr><tr><td><code>Pagination.Limit</code></td><td><strong>Optional (int)</strong><br>The number of results per page.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

try {
    $AllCrossSellCampaigns = $client->searchCrossSellCampaigns($sessionID);
}

catch (SoapFault $e) {
    echo "AllCrossSellCampaigns: " . $e->getMessage();
    exit;
}

var_dump("AllCrossSellCampaigns", $AllCrossSellCampaigns);
```

## Response parameters

<table><thead><tr><th width="127.5999755859375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>Items</code></td><td>An array of <a href="/pages/5e0d36c8e13100c7f6e2380d1f76e8be890120f5"><code>CrossSellCampaign</code></a> objects</td></tr><tr><td><code>Pagination</code></td><td><strong>Pagination</strong> <br>Object with the following parameters: <code>Page</code>, <code>Limit</code>, <code>Count</code></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/cross-sell/retrieve-all-campaigns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
